﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MvcSettings.Caching
{
    public interface ICache
    {
        int MaxDuration { get; }
        object Get(string key);
        void Store(string key, object value, bool sliding, int secondsToCache);
        void Remove(string key);
        void Clear();
        IDictionary<string, object> Values { get; }
        IEnumerable<string> Keys { get; }
    }
}